
public class Class146 implements Interface7 {

   int anInt1691;
   int anInt1692;
   int[] anIntArray1693;


   public int method31() {
      return this.anInt1692 * 1425100791;
   }

   Class146(int var1, int var2) {
      this(var1, var2, new int[var2 * var1]);
   }

   public int method30() {
      return this.anInt1692 * 1425100791;
   }

   public int method29() {
      return this.anInt1691 * 911463445;
   }

   public void method10() {}

   public void method8() {}

   public int method32() {
      return this.anInt1692 * 1425100791;
   }

   public int method33() {
      return this.anInt1692 * 1425100791;
   }

   public int method35() {
      return this.anInt1691 * 911463445;
   }

   public void method9() {}

   Class146(int var1, int var2, int[] var3) {
      this.anInt1692 = var1 * 2093228487;
      this.anInt1691 = -1797825731 * var2;
      this.anIntArray1693 = var3;
   }

   public int method34() {
      return this.anInt1691 * 911463445;
   }

   static final void method2690(Class508 var0, int var1) {
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = Class263.anInt3067 * -946160219;
   }

   static Class239 method2691(Class515_Sub1_Sub4 var0, byte var1) {
      Class239 var2;
      if(Class239.aClass239_2841 == null) {
         var2 = new Class239();
      } else {
         var2 = Class239.aClass239_2841;
         Class239.aClass239_2841 = Class239.aClass239_2841.aClass239_2838;
         var2.aClass239_2838 = null;
         Class239.anInt2840 -= -7388881;
      }

      var2.aClass515_Sub1_Sub4_2839 = var0;
      return var2;
   }

   public static final void method2692(byte var0) {
      if(!client.aBool7753) {
         client.aFloat7747 += (12.0F - client.aFloat7747) / 2.0F;
         client.aBool7928 = true;
         client.aBool7753 = true;
      }
   }
}
